@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600;700&display=swap');

* { 
    box-sizing: border-box;
}

body {
    padding: 0;
    margin: 0;
    font-family: Montserrat;
    min-height: 100vh;
}

h2, h4, a{
    padding: 0;
    margin: 0;
    text-decoration: none;
}

.container {
    width: 60%;
    margin: 0 auto;
    padding: 5em 0;
}

.profile--info {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.profile--identity {
    display: inline-flex;
    flex-direction: column;
    align-self: center;
}

.profile--identity img {
    width: 12em;
    border-radius: 16px;
    margin: 0 auto;
}

.profile--identity h2 {
    font-size: 1.8em;
    font-weight: 600;
    text-align: center;
    color: #4E5150;
    margin-top: .8em;
    margin-bottom: .5em;
}

.profile--identity small {
    text-align: center;
    font-size: 1em;
    font-weight: 600;
    color: #BDBDBD;
    margin-bottom: 2em;
}

.profile--details {
    width: 25em;
    display: flex;
    justify-content: space-between;
}

.profile--details div {
    width: 7em;
    background-color: #E5E5E5;
    border-radius: 12px;
    padding: 1em 0;
    text-align: center;
}

.profile--details div h4 {
    font-size: 1.3em;
    color: #4E5150;
    font-weight: 600;
}

.profile--details div small {
    font-size: .9em;
    color: #BDBDBD;
    font-weight: 600;
}

.gallery {
    min-height: 100%;
    max-width: 100%;
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    grid-template-rows: repeat(3, minmax(0, 1fr));
    grid-gap: 3%;
    margin-top: 4em;
}

.gallery img {
    display: inline-block;
    width: 100%;
    height: 100%;
    border-radius:16px
}

.image-1 {
    grid-column: span 1 / span 1;
    grid-row: span 1 / span 1;
}

.image-2, .image-3 {
    grid-column: span 2 / span 2;
    grid-row: span 1 / span 1;
}

.image-4 {
    grid-column: span 1 / span 1;
    grid-row: span 2 / span 2;
}

.image-5, .image-6 {
    grid-column: span 1 / span 1;
    grid-row: span 1 / span 1;
}

footer {
    text-align: center;
    color: #B9BDCF;
    margin-top: 5em;
    margin-bottom: 1em;
}

footer a {
    color: #B9BDCF;
}

footer a:first-child {
    font-weight: 700;
    text-decoration: underline;
}

@media (max-width: 900px) {
    .container{
        width: 95%;
    }
}

@media (max-width: 500px) {
    .profile--identity img {
        width: 10em;
    }
    
    .profile--identity h2 {
        font-size: 1.5em;
    }

    .profile--identity small {
        font-size: .9em;
    }

    .profile--details {
        width: 18em;
    }
    
    .profile--details div {
        width: 5em;
        padding: .5em 0;
    }
    
    .profile--details div h4 {
        font-size: .9em;
        line-height: .9;
        margin-top: .4em;    
    }

    .profile--details div small {
        font-size: .8em;
    }
}